function wng = odd
global Nx Ny dx dy nr eps tand f wng Eg m jazyk scrsz;
% analyza stineneho mikropasku
% reseno pomoci elektrickych intenzit

term = 0;

% parametry: h = 1.27 mm, w = 1.27 mm
% sirka vlnovodu = 12.700 mm
% vyska vlnovodu = 12.705 mm


                      % popis struktury

Nx  =  7;             % pocet obdelnikovych prvku
Ny  = 11;
		
dx( 1) = 0.635;      dy( 1) = 1.270;
dx( 2) = 0.635;      dy( 2) = 1.270;
dx( 3) = 1.270;      dy( 3) = 1.270;
dx( 4) = 1.270;      dy( 4) = 1.270;
dx( 5) = 0.635;      dy( 5) = 1.270;
dx( 6) = 0.635;      dy( 6) = 1.270;
dx( 7) = 1.270;      dy( 7) = 1.270;
                     dy( 8) = 0.635;
                     dy( 9) = 0.635;
                     dy(10) = 1.270;
                     dy(11) = 1.275;
		
                     % parametry vrstev

% rel.permit.   % tan delta     % rel.permeab.

epr( 1) = eps;  td( 1) = tand;  mir( 1) = 1;
epr( 2) = 1;    td( 2) = 0;     mir( 2) = 1;
epr( 3) = 1;    td( 3) = 0;     mir( 3) = 1;
epr( 4) = 1;    td( 4) = 0;     mir( 4) = 1;
epr( 5) = 1;    td( 5) = 0;     mir( 5) = 1;
epr( 6) = 1;    td( 6) = 0;     mir( 6) = 1;
epr( 7) = 1;    td( 7) = 0;     mir( 7) = 1;
epr( 8) = 1;    td( 8) = 0;     mir( 8) = 1;
epr( 9) = 1;    td( 9) = 0;     mir( 9) = 1;
epr(10) = 1;    td(10) = 0;     mir(10) = 1;
epr(11) = 1;    td(11) = 0;     mir(11) = 1;

Nd = 0;           % diag. el. vodive vrstvy
dg = 0;

Nh = 3;           % horiz. el. vodive vrstvy
hor(1,1) = 1;   hor(2,1) = Nx;   hor(3,1) = 0;
hor(1,2) = 1;   hor(2,2) = Nx;   hor(3,2) = Ny;
hor(1,3) = 1;   hor(2,3) =  1;   hor(3,3) = 1;

Nv = 2;          % vert. el. vodive vrstvy
vert(1,1) = 1;	vert(2,1) = Ny;	vert(3,1) =  0;
vert(1,2) = 1;	vert(2,2) = Ny;	vert(3,2) = Nx;

nhor(1,1) = 0;	nhor(2,1) = 0;	nhor(3,1) = 0;

[wng,Eg] = main( Nx, Ny, dx, dy, epr, td, mir, Nd, dg,...
           Nh, hor, Nv, vert, f, term, nhor);

m=m-1; %korekce pro lich vidy        
if m~=0
    %--------------------------------------------------------
    % Okno pro zadani cisla vidu
    texty=[{'Mikropsek','Vidov slo:','Kresli','Konec'};
    {'Microstrip','Mode number:','Draw','End'}];
    load vidy

    h0 = figure('Color',[0.8 0.8 0.8], ...
        'Colormap',mat0, ...
        'FileName','vidy', ...
        'MenuBar','none', ...
        'Name',texty{jazyk,1}, ...
        'NumberTitle','off', ...
        'PaperPosition',[18 180 576 432], ...
        'PaperUnits','points', ...
        'Position',[scrsz(3)/2-115 scrsz(4)/2-60 230 120], ...
        'Tag','mikro', ...
        'ToolBar','none');
    h1 = uicontrol('Parent',h0, ...
        'Units','points', ...
        'BackgroundColor',[0.8 0.8 0.8], ...
        'HorizontalAlignment','left', ...
        'ListboxTop',0, ...
        'Position',[15 60 60 15], ...
        'String',texty{jazyk,2}, ...
        'Style','text', ...
        'Tag','vid_t');
        if m>1
            h1 = uicontrol('Parent',h0, ...
                'BackgroundColor',[0.8 0.8 0.8], ...
                'Callback','aktualizace', ...
                'ListboxTop',0, ...
                'Position',[50 55 130 20], ...
                'String','Krok', ...
                'Style','slider', ...
                'Min',1, ...
                'Max',m, ...  	
                'Value',1, ...
                'SliderStep',[1/(m-1) 1/(m-1)], ...
                'Tag','vid');
        end
    h1 = uicontrol('Parent',h0, ...
        'Units','points', ...
        'BackgroundColor',[0.8 0.8 0.8], ...
        'HorizontalAlignment','left', ...
        'ListboxTop',0, ...
        'Position',[70 60 15 15], ...
        'String','1', ...
        'Style','text', ...
        'Tag','vid_h');
    h1 = uicontrol('Parent',h0, ...
        'Units','points', ...
        'BackgroundColor',[0.8 0.8 0.8], ...
        'Callback','close all', ...
        'ListboxTop',0, ...
        'Position',[100 10 50 15], ...
        'String',texty{jazyk,4}, ...
        'Tag','Pushbutton1');
    h1 = axes('Parent',h0, ...
        'CameraUpVector',[0 1 0], ...
        'CameraUpVectorMode','manual', ...
        'Color',[1 1 1], ...
        'ColorOrder',mat1, ...
        'Tag','Axes1', ...
        'Visible','off', ...
        'XColor',[0 0 0], ...
        'YColor',[0 0 0], ...
        'ZColor',[0 0 0]);
    h2 = text('Parent',h1, ...
        'Color',[0 0 0], ...
        'HandleVisibility','off', ...
        'HorizontalAlignment','center', ...
        'Position',[0.4918032786885246 -0.25 9.160254037844386], ...
        'Tag','Axes1Text4', ...
        'VerticalAlignment','cap', ...
        'Visible','off');
    set(get(h2,'Parent'),'XLabel',h2);
    h2 = text('Parent',h1, ...
        'Color',[0 0 0], ...
        'HandleVisibility','off', ...
        'HorizontalAlignment','center', ...
        'Position',[-0.2377049180327869 0.4895833333333333 9.160254037844386], ...
        'Rotation',90, ...
        'Tag','Axes1Text3', ...
        'VerticalAlignment','baseline', ...
        'Visible','off');
    set(get(h2,'Parent'),'YLabel',h2);
    h2 = text('Parent',h1, ...
        'Color',[0 0 0], ...
        'HandleVisibility','off', ...
        'HorizontalAlignment','right', ...
        'Position',[-0.180327868852459 1.083333333333333 9.160254037844386], ...
        'Tag','Axes1Text2', ...
        'Visible','off');
    set(get(h2,'Parent'),'ZLabel',h2);
    h2 = text('Parent',h1, ...
        'Color',[0 0 0], ...
        'HandleVisibility','off', ...
        'HorizontalAlignment','center', ...
        'Position',mat2, ...
        'Tag','Axes1Text1', ...
        'VerticalAlignment','bottom', ...
        'Visible','off');
    set(get(h2,'Parent'),'Title',h2);

    h1 = uicontrol('Parent',h0, ...
        'Units','points', ...
        'BackgroundColor',[0.8 0.8 0.8], ...
        'Callback','gr_liche', ...
        'ListboxTop',0, ...
        'Position',[25 10 50 15], ...
        'String',texty{jazyk,3}, ...
        'Tag','Pushbutton1');
end
if nargout > 0, fig = h0; end


